#
# spec file for package kdebindings3-python (Version 3.5.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils dirmngr e2fsprogs expat fam fam-devel file fileshareset filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gpg gpg2 gpgme gpm grep groff gtk2 gzip hal info insserv jack jack-devel kdebase3 kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc kdemultimedia3 kdemultimedia3-devel kdemultimedia3-sound kdemultimedia3-video kdepim3 kdepim3-sync klogd less libacl libacl-devel libakode libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel libksba liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libsamplerate libstdc++ libstdc++-devel libtheora libtiff libtiff-devel libtool libusb libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel pam pam-modules pango patch pcre pcre-devel perl perl-PDA-Pilot permissions pilot-link pinentry pkgconfig popt powersave-libs procinfo procps psmisc pwdutils python python-devel qscintilla qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel strace sysvinit taglib tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           kdebindings3-python
%define is_base 0
%define is_python 1
%define is_java 0
%define is_js 0
BuildRequires:  kdemultimedia3-devel kdepim3 python-devel qscintilla
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          Development/Libraries/Python
Summary:        Python Bindings for KDE
Provides:       sip PyKDE
Version:        3.5.1
Release:        19.4
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`) python-qt = %{version}
Url:            http://www.kde.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        kdebindings-%{version}.tar.bz2
#Patch0:       3_5_BRANCH.diff
Patch1:         python2.diff
Patch2:         perl.diff
Patch3:         lib64.diff
Patch4:         fix-return-value-kjsembed.diff
#Patch5:       FIXME.diff
Patch6:         64bit.diff
Patch7:         split-files.diff
Patch9:         kdebindings-3.5.1_ruby_non_site_dir.patch

%description
Needed libraries for writing applications in Python for Qt and KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%if %{is_base}
%debug_package
%package perl
# usesubdirs smoke
Summary:        perl
Group:          Development/Libraries/Perl

%description perl

%package ruby
Summary:        ruby
Group:          Development/Languages/Ruby

%description ruby
ruby


%endif
%if %{is_python}
%package -n python-qt
Summary:        Python Bindings for Qt
Group:          Development/Libraries/Python
Provides:       PyQt
Obsoletes:      PyQt

%description -n python-qt
Needed libraries for writing GUI applications using Qt in Python.



Authors:
--------
    The KDE Team <kde@kde.org>

%endif
%prep
%setup -q -n kdebindings-%{version}
#%patch0
%patch1
%patch2
if [ "lib64" = %_lib ]; then
%patch3
fi
%patch4
#%patch5
#%patch6
%patch7
%patch9
# eventually we have a patch in kdelibs adding that
if test -f /opt/kde3/include/kscrollview.h; then
   echo "kscrollview.h" >> smoke/kde/kde_header_list
fi
rm -rf qtobjc kdeobjc
%if %{is_js}
:
%else
rm -rf kjsembed
%endif
%if %{is_base}
:
%else
rm -rf smoke dcopperl
%endif
%if %{is_python}
:
%else
rm -rf dcoppython
%endif
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
%if %{is_java}
export PATH=/usr/lib/java/bin:$PATH
%endif
configopts=
%if %{is_java}
configopts="--with-java-dir=/usr/lib/java/"
%endif
%if %{is_base}
configopts="--disable-final"
%endif
%if %{is_python}
configopts="--with-pythondir=/usr/%_lib/python%py_ver"
%endif
./configure \
  $configkde $configopts
%if %{is_base}
make
%else
make %{?jobs:-j %jobs}
%endif

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%if %{is_base}
%perl_process_packlist
%endif
%if %{is_js}
%suse_update_desktop_file -u kjscmd  Development 
%suse_update_desktop_file -u embedjs Development 
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%run_ldconfig

%postun
%run_ldconfig
%if %{is_base}

%files
%defattr(-,root,root)
%doc COPYING README AUTHORS COPYING.LIB ChangeLog NEWS  
/opt/kde3/include/smoke.h
/opt/kde3/%_lib/libsmoke*

%files perl
%defattr(-,root,root)
%dir /usr/lib/perl5/vendor_perl/*/*/DCOP
%dir /usr/lib/perl5/vendor_perl/*/*/auto/DCOP
%{perl_vendorarch}/DCOP.pm
%{perl_vendorarch}/DCOP/Object.pm
%{perl_vendorarch}/auto/DCOP/.packlist
%{perl_vendorarch}/auto/DCOP/DCOP.bs
%{perl_vendorarch}/auto/DCOP/DCOP.so
/var/adm/perl-modules/kdebindings3
%{_mandir}/man3/DCOP.3pm.gz

%files ruby
%defattr(-,root,root)
/opt/kde3/bin/krubyinit
/opt/kde3/bin/qtrubyinit
/opt/kde3/bin/rbqtapi
/opt/kde3/bin/rbqtsh
/opt/kde3/bin/rbkdeapi
/opt/kde3/bin/rbkdesh
/opt/kde3/bin/rbuic
/opt/kde3/bin/rbkconfig_compiler
/usr/%_lib/ruby/*
%endif
%if %{is_python}

%files
%defattr(-,root,root)
/opt/kde3/share/sip/dcop
/opt/kde3/share/sip/k*
/usr/%_lib/python%{py_ver}/site-packages/dcop*
/usr/%_lib/python%{py_ver}/site-packages/k*
/usr/%_lib/python%{py_ver}/site-packages/pcop*
/usr/%_lib/python%{py_ver}/site-packages/pykdeconfig.py
# DCOP python
%_libdir/python%{py_ver}/pydcop.py

%files -n python-qt
%defattr(-,root,root)
/opt/kde3/bin/sip
/opt/kde3/bin/pyuic
/opt/kde3/bin/pylupdate
%dir /opt/kde3/share/sip
/opt/kde3/share/sip/qt*
/usr/%_lib/python%{py_ver}/site-packages/pyqtconfig.py
/usr/%_lib/python%{py_ver}/site-packages/qt*
/usr/%_lib/python%{py_ver}/site-packages/sip*
/usr/include/python%{py_ver}/sip.h
%endif
%if %{is_java}

%files
%defattr(-,root,root)
/opt/kde3/bin/koala
/opt/kde3/bin/javalib
/opt/kde3/%_lib/java
/opt/kde3/%_lib/libqtjava*
/opt/kde3/%_lib/libkdejava.*
%doc  /opt/kde3/share/doc/HTML/en/javalib
%endif
%if %{is_js}

%files
%defattr(-,root,root)
%dir /opt/kde3/share/icons/hicolor/16x16
%dir /opt/kde3/share/icons/hicolor/16x16/apps
%dir /opt/kde3/share/icons/hicolor/32x32
%dir /opt/kde3/share/icons/hicolor/32x32/apps
/opt/kde3/bin/kjscmd
/opt/kde3/bin/embedjs
/opt/kde3/bin/jsaccess
/opt/kde3/%_lib/kde3/libqprocessplugin.*
/opt/kde3/%_lib/kde3/libfileitemplugin.*
/opt/kde3/%_lib/kde3/libjavascript.*
/opt/kde3/share/apps/kjsembed
/opt/kde3/share/appl*/*/embedjs.desktop
/opt/kde3/share/services/qprocess_plugin.desktop
%_mandir/man1/kjscmd.1.gz
/opt/kde3/%_lib/kde3/libjsconsoleplugin.*
/opt/kde3/share/applications/kde/kjscmd.desktop
/opt/kde3/share/apps/kate
/opt/kde3/%_lib/kde3/libcustomobjectplugin.*
/opt/kde3/%_lib/kde3/libcustomqobjectplugin.*
/opt/kde3/share/services/customobject_plugin.desktop
/opt/kde3/share/services/customqobject_plugin.desktop
/opt/kde3/share/services/imagefx_plugin.desktop
/opt/kde3/share/servicetypes/binding_type.desktop
/opt/kde3/include/kjsembed
/opt/kde3/%_lib/libkjsembed.*
/opt/kde3/%_lib/kde3/libimagefxplugin.*
/opt/kde3/share/apps/embedjs
/opt/kde3/share/icons/*/*/*/embedjs.*
/opt/kde3/share/services/javascript.desktop
/opt/kde3/share/services/kfileitem_plugin.desktop
%endif

%changelog
* Tue Apr 11 2006 - mrueckert@suse.de
  site_ruby should be empty for user installed libraries.
- added kdebindings-3.5.1_ruby_non_site_dir.patch:
  * korundum/rubylib/korundum/configure.in.in: map the site_ruby
  directories to their normal equivalents.
* Sun Feb 05 2006 - mls@suse.de
- adapt pre_checkin.sh script
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 22 2006 - stbinner@suse.de
- update to 3.5.1
* Mon Jan 09 2006 - stbinner@suse.de
- remove "Provides: PyQt" from kdebindings3-python
* Sun Jan 08 2006 - stbinner@suse.de
- update to 3_5_BRANCH
* Tue Jan 03 2006 - adrian@suse.de
- Do only Require python-qt for kdebindings3-python and without
  the release number
* Mon Dec 19 2005 - stbinner@suse.de
- fix file list
* Sun Nov 27 2005 - coolo@suse.de
- fix syntax error
* Thu Nov 24 2005 - coolo@suse.de
- split out python-qt
* Mon Nov 21 2005 - stbinner@suse.de
- update to 3.5 RC 2
* Thu Nov 10 2005 - stbinner@suse.de
- update to 3.5 RC 1
* Wed Oct 12 2005 - coolo@suse.de
- update to 3.4.92
* Wed Sep 28 2005 - stbinner@suse.de
- fixed "Provides:" after .spec split
* Fri Sep 23 2005 - coolo@suse.de
- update to 3.4.91
- resync spec files
* Sat Sep 03 2005 - matz@suse.de
- Split generated files to speed up compile.
* Mon Aug 29 2005 - adrian@suse.de
- build packages in seperate spec files to speed up build
- cleanup patches and nfb
* Mon Aug 22 2005 - mrueckert@suse.de
- added ruby-devel to nfb
* Tue Aug 09 2005 - mls@suse.de
- removed compat from neededforbuild
* Sun Jul 24 2005 - coolo@suse.de
- fix build (final 3.4.2)
* Fri Jul 22 2005 - coolo@suse.de
- update to version 3.4.2
* Wed Jun 22 2005 - schwab@suse.de
- Fix 64bit bug in java bindings.
* Wed Jun 15 2005 - dmueller@suse.de
- sync with branches/KDE/3.4
* Tue Jun 14 2005 - dmueller@suse.de
- sync with branches/KDE/3.4
* Tue May 24 2005 - adrian@suse.de
- update to version 3.4.1
* Tue May 17 2005 - ro@suse.de
- fix build with gcc-4
* Sat Mar 05 2005 - adrian@suse.de
- update to final 3.4.0
* Wed Mar 02 2005 - coolo@suse.de
- fix build (and do it parallel)
* Mon Feb 14 2005 - adrian@suse.de
- update from CVS
* Fri Feb 11 2005 - adrian@suse.de
- update from CVS
* Mon Feb 07 2005 - adrian@suse.de
- update to beta 2
* Fri Jan 21 2005 - adrian@suse.de
- update to current snapshot (includes last fix)
* Thu Jan 20 2005 - ro@suse.de
- fix dependency to /bin/env (should be /usr/bin/env)
* Thu Jan 13 2005 - adrian@suse.de
- fix installation of java binding documentation
* Tue Jan 11 2005 - adrian@suse.de
- fix some compiler warnings
* Mon Jan 10 2005 - adrian@suse.de
- update to version 3.4 beta 1
* Thu Dec 16 2004 - coolo@suse.de
- disable unsermake (most likely forever)
* Mon Nov 29 2004 - adrian@suse.de
- update to version 3.3.2
* Fri Nov 26 2004 - ro@suse.de
- use only py_ver macro, py_site is broken in 9.0
* Wed Nov 24 2004 - adrian@suse.de
- fix build for python 2.4
- fix build for 8.2
* Tue Nov 23 2004 - ro@suse.de
- fix build on 9.0
* Tue Oct 12 2004 - adrian@suse.de
- update to version 3.3.1
* Tue Sep 21 2004 - adrian@suse.de
- fix build
- remove unneeded packages from neededforbuild
- add qscintilla support for python bindings (#45715)
* Mon Sep 20 2004 - adrian@suse.de
- update to current BRANCH
  * ruby fixes and enhancements
* Wed Sep 08 2004 - adrian@suse.de
- fix spec file syntax
* Tue Sep 07 2004 - adrian@suse.de
- fix build for ia64 and ia32
* Mon Sep 06 2004 - adrian@suse.de
- -java Requires "jre1.2.x" instead of "java2" now
* Mon Sep 06 2004 - adrian@suse.de
- update to version 3.3.0 final
  * -python obsoletes sip/PyQt/PyKDE
  * -c is in qtc now
  * -Csharp is in qtsharp now
* Tue Aug 10 2004 - adrian@suse.de
- update to version 3.3.0 RC2
* Wed Apr 14 2004 - adrian@suse.de
- update to version 3.2.2
* Tue Apr 06 2004 - adrian@suse.de
- fix build
* Mon Apr 05 2004 - adrian@suse.de
- remove wrong Obsoletes
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
- disable-final to make it build on reasonable hardware
* Sun Feb 15 2004 - adrian@suse.de
- remove obsolete files from file list
- make kjscmd desktop entry unimportant
* Sat Feb 14 2004 - adrian@suse.de
- fix build for x86_64
* Tue Jan 27 2004 - adrian@suse.de
- update to KDE 3.2.0 final
* Sat Jan 24 2004 - adrian@suse.de
- add Qt# API docu
- fix kdebindings3-java Requires
- rename -sharp package to -Csharp
* Thu Jan 22 2004 - uli@suse.de
- qtc: fixed segfault in ilrun when programs using Qt# call exit()
  before destroying all Qt objects
* Thu Jan 22 2004 - ro@suse.de
- fix typo in specfile
* Tue Jan 20 2004 - adrian@suse.de
- enable Qt# bindings for > 9.0
- add qtsharp 0.7 and use it instead of version 0.5 from the
  kdebindings tar ball
* Tue Jan 20 2004 - adrian@suse.de
- fix build of java bindings
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Mon Dec 22 2003 - adrian@suse.de
- own sub package for javascript bindings
* Mon Dec 01 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Thu Nov 13 2003 - adrian@suse.de
- update to new snapshot from 2003102409
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Tue Aug 19 2003 - ro@suse.de
- try to fix build on x86_64
* Fri Jul 25 2003 - adrian@suse.de
- update to 3.1.3
  * disable perl/smoke bindings for now
* Fri May 16 2003 - adrian@suse.de
- update to 3.1.2
  * kmozilla got disabled
- fix build
* Tue Feb 11 2003 - adrian@suse.de
- fix build for lib64
* Sun Jan 19 2003 - adrian@suse.de
- update to RC7-try2
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Tue Dec 03 2002 - ro@suse.de
- put smoke stuff in perl subpackage
* Sat Nov 30 2002 - adrian@suse.de
- using RC5 tar ball, third try
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Wed Nov 20 2002 - adrian@suse.de
- update to version 3.1-RC4
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Tue Aug 13 2002 - uli@suse.de
- no %%package java -> no %%post java
* Sun Aug 11 2002 - coolo@suse.de
- make automake happy
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
- add %%run_ldconfig
* Sun Aug 04 2002 - adrian@suse.de
- fix %%if order in file list
* Fri Aug 02 2002 - adrian@suse.de
- disable java for ppc64 x86_64 s390 s390x
* Tue Jul 16 2002 - adrian@suse.de
- split packages into subpackages only: -c, -java and -mozilla
* Tue Jun 25 2002 - adrian@suse.de
- update to version 3.0.2
* Thu Jun 06 2002 - ro@suse.de
- fix for moved mozilla libs
* Mon May 13 2002 - coolo@suse.de
- update to 3.0.1
- fixing file list
- using %%_lib
* Thu May 09 2002 - coolo@suse.de
- updating to KDE 3.0.1 branch to get the fixes for
  lib64 and qt 3.0.4
* Mon Apr 15 2002 - coolo@suse.de
- gobjc is gcc-objc now
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
- fix build for mozilla
- still not building: kdejava, python, kec and objective C support
* Mon Mar 04 2002 - adrian@suse.de
- update to snapshot 2.92.2002030321
- disable kde java bindings for now
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Thu Nov 15 2001 - adrian@suse.de
- update to version 2.2.2
* Thu Sep 13 2001 - adrian@suse.de
- fix version number of kdebindings-mozilla package
* Sat Sep 08 2001 - adrian@suse.de
- update to 2.2.1 final
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Fri Jun 29 2001 - adrian@suse.de
- update 2.2beta1
* Sun Apr 08 2001 - adrian@suse.de
- drop -O0 for ppc and alpha
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 21 2001 - adrian@suse.de
- fix mozilla build
* Tue Mar 20 2001 - adrian@suse.de
- update to 2.1.1
  fix file list
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Mon Mar 12 2001 - schwab@suse.de
- No java on ia64.
- Fix shell syntax in configure script.
- Fix missing include.
* Thu Feb 22 2001 - adrian@suse.de
- update to final 2.1.0
  mozilla support is inside an own subpackage
* Sat Feb 17 2001 - adrian@suse.de
- newer snapshot from KDE_2_0_BRANCH
  initial package
